resources:
    App\Entity\CommandTask:
        processor: App\State\Processor\CommandTaskProcessor
        input: App\Dto\Input\CommandTaskInput
        output: App\Dto\Output\CommandTaskOutput
        normalizationContext:
            groups: ['default', 'command-task:read']
        denormalizationContext:
            groups: ['command-task:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\CommandTaskProvider
                filters:
                    - 'api_platform.filter.command_task.order'
                    - 'api_platform.filter.command_task.search'
                    - 'api_platform.filter.command_task.boolean'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\CommandTaskProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\CommandTaskProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\CommandTaskProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\CommandTask:
        id:
            identifier: false
        uuid:
            identifier: true